#include "mbed.h"
#include "neopixel.h"

NeoPixelOut npx(D12);

int main() {
    wait(0.2); // wait for HSE to stabilize
    
    npx.global_scale = 1.0f; // Adjust brightness
    npx.normalize = true; // Equalize brightness to make r + g + b = 255
    
    Pixel strip[6];
    strip[0].hex = 0xFF0000;
    strip[1].hex = 0xFFFF00;
    strip[2].hex = 0x00FF00;
    strip[3].hex = 0x00FFFF;
    strip[4].hex = 0x0000FF;
    strip[5].hex = 0xFF00FF;
    
    npx.send(strip, 6);
    
    while(1);
}
